Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
[Résolu] Problème sur mise à jour version php vers 5.6
#1
Citation :#~~~~~ DEBUT BLOC A NE PAS SUPPRIMER ~~~~~
#~ Version du CMS: 1.12
#~ Url du site :
#~ Hébergeur / Soft : ovh / mutualisé
#~ Informations Système :
#~ Cms Version: 1.12
#~ Installed Modules:
#~ CMSMailer: 5.2.2
#~ CMSPrinting: 1.0.5
#~ FileManager: 1.4.5
#~ MenuManager: 1.8.6
#~ MicroTiny: 1.2.9
#~ ModuleManager: 1.5.8
#~ News: 2.15.1
#~ Search: 1.7.12
#~ ThemeManager: 1.1.8
#~ FormBuilder: 0.8.1.1
#~ CGExtensions: 1.49.7
#~ MleCMS: 1.11.4
#~ Showtime: 3.4
#~ SiteMapMadeSimple: 1.2.8
#~ FrontEndUsers: 1.30.4
#~ CGJobMgr: 1.3.4
#~ JQueryTools: 1.3.7
#~ CGContentUtils: 1.5.1
#~ CustomContent: 1.10
#~ SelfRegistration: 1.9.3
#~ CGSimpleSmarty: 1.9.1
#~ Config Information:
#~ php_memory_limit:
#~ process_whole_template:
#~ max_upload_size: 64000000
#~ url_rewriting: mod_rewrite
#~ page_extension: .html
#~ query_var: page
#~ image_manipulation_prog: GD
#~ auto_alias_content: true
#~ locale:
#~ default_encoding: utf-8
#~ admin_encoding: utf-8
#~ set_names: true
#~ Php Information:
#~ phpversion: 5.4.38
#~ md5_function: On (Vrai)
#~ gd_version: 2
#~ tempnam_function: On (Vrai)
#~ magic_quotes_runtime: Off (Faux)
#~ E_STRICT: 2048
#~ E_DEPRECATED: 8192
#~ memory_limit: 128M
#~ max_execution_time: 120
#~ output_buffering: 4096
#~ safe_mode: Off (Faux)
#~ file_uploads: On (Vrai)
#~ post_max_size: 64M
#~ upload_max_filesize: 64M
#~ session_save_path: /tmp (0700)
#~ session_use_cookies: On (Vrai)
#~ xml_function: On (Vrai)
#~ xmlreader_class: On (Vrai)
#~ Server Information:
#~ Server Api: cgi-fcgi
#~ Server Db Type: MySQL (mysql)
#~ Server Db Version: 5.1.73
#~ Server Db Grants: Impossible de trouver un privilège "GRANT ALL". Cela peut signifier que vous pourriez avoir des problèmes pour installer ou retirer des modules, ou encore l 'ajout et la suppression d'éléments, y compris les pages.
#~ Server Time Diff: Aucune différence de date du système de fichiers trouvées
#~~~~~ FIN BLOC A NE PAS SUPPRIMER ~~~~~



Impossible de faire la mise à jour vers php 5.6

Parse error: syntax error, unexpected T_STRING in /home/seipam/www/modules/CGExtensions/CGExtensions.module.php on line 559

Merci de votre aide.
#2
Bonjour,

As-tu effectué les mises à jour des modules avant de basculer sur PHP 5.6 ?
#3
Bonsoir,

Oui, toutes les mises à jour ont été faites mais ... (c'est la première fois que je vois ça !) la fenêtre a un format inhabituel : Je m'explique, d'habitude, lorsque les modules sont à jour, la fenêtre du Gestionnaire de Module indique : "Il n'y a pas de nouveaux modules disponibles dans le dépôt sélectionné". Or, cette fois-ci, ce message n'apparait pas, c'est le tableau mais ... il est vide.
Merci de votre aide à nouveau, je suis perplexe.
#4
Il est possible que : Tous tes modules ne sont pas compatible V2
Désactive les modules un par un pour voir celui qui pose problème
Il est fortement conseiller de tester en local avant de passer en production sur la V2 à cause des modules
J-C Etiemble Tutoriels v 2.2.x
#5
Bonjour,

Merci de votre intérêt !
Jce76350, quand tu dis "Tous tes modules ne sont pas compatible V2", tu parles de la V2 de CMSMS Australia ? Si c'est le cas, je n'ai pas encore fait la mise à jour, avant, je veux régler ce problème de php sur la version actuelle qui est 1.12.
Quand tout sera réglé, je suivrai tes conseils de test en local pour l'update. Pour l'instant, je ne trouve pas ma solution ...
#6
Citation :Jce76350, quand tu dis "Tous tes modules ne sont pas compatible V2"
OUps Wink trop rapide

Mais "Désactive les modules un par un pour voir celui qui pose problème", c'est bon à faire si les caches sont bien vides
J-C Etiemble Tutoriels v 2.2.x
#7
Smile
J'ai eu une lueur d'espoir au premier module (CGContentUtils) de-install puis re-install. Au passage, j'ai supprimé NMS et TinyMCE qui ne servaient plus. Eureka, le gestionnaire de module est enfin conforme et me confirme que "il n'y as pas de nouveaux modules dans le dépôt sélectionné". Je tente ma chance avec php 5.6 mais non :
Parse error: syntax error, unexpected T_OBJECT_OPERATOR in /home/seipam/www/index.php on line 80
Je poursuis et vous tiens informés. Merci !
#8
Tu es sur de ta config PHP 5.6 pour ovh ?
J-C Etiemble Tutoriels v 2.2.x
#9
Pas vraiment cependant, ça a fonctionné pour d'autres sites avec ce fichier .ovhconfig :
app.engine=php
app.engine.version=5.6
http.firewall=none
environment=production
J'ai testé en php 5.5 et ça donne le même résultat (avec derrière l'idée de mise à jour vers CMS 2.0)
#10
J'y perds mon latin ... Je viens de faire l'installation à l'identique en local avec la dernière version de Mamp et paramétrage sur php 5.6 et ... tout fonctionne ?! Je n'y comprends plus rien ...
#11
Citation :Je viens de faire l'installation à l'identique en local avec la dernière version de Mamp et paramétrage sur php 5.6
Et donc sur OVH ...
J-C Etiemble Tutoriels v 2.2.x
#12
Tu as raison, je les ai interrogés, pour l'instant, on ne voit pas le même fichier .ovhconfig ! A suivre donc !
#13
Bonjour,
Donnes-nous les fichiers .htaccess, config.php et ovh.config.
#14
Réponse de ovh :
Effectivement, la version de votre PHP a était modifié automatiquement ce jour suite à la mis à jour forcé sur les hébergements mutualisés.
Vous pouvez modifier le fichier de config en modifiant juste la notion app.engine.version=5.4 par app.engine.version=5.6

Or, ce faisant, il faut garder, dans le .htaccess, l'appel au php 5.4 sinon le site tombe et ... il reste donc en php 5.4 ! Le .ovhconfig qui (d'après ce que j'avais compris) est prioritaire sur le .htaccess, dans ce cas précis ... ne l'est pas.
L'unique changement (pour l'instant) vient de là, l'appel à php 5.6 est rejeté et le site fonctionne grâce au .htaccess
#15
Sorry, Jean le Chauve ... viens seulement de voir ton message.

.ovhconfig :
app.engine=php
app.engine.version=5.6
http.firewall=none
environment=production

.htaccess :
SetEnv REGISTER_GLOBALS 0
SetEnv PHP_VER 5_4

ErrorDocument 404 ...

#Options +FollowSymLinks
RewriteEngine on
RewriteBase /
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^(.+).html$ index.php?page=$1 [QSA]

#Redirection www
RewriteCond %{HTTP_HOST} ^seipam.fr$
RewriteRule ^(.*) http://.../$1 [QSA,L,R=301]

<Files .htaccess>
order allow,deny
deny from all
</Files>

# Apache 2.0
SetOutputFilter DEFLATE
AddOutputFilterByType DEFLATE text/html text/css text/plain text/xml application/x-javascript

# compress text, HTML, JavaScript, CSS, and XML
AddOutputFilterByType DEFLATE text/plain
AddOutputFilterByType DEFLATE text/html
AddOutputFilterByType DEFLATE text/xml
AddOutputFilterByType DEFLATE text/css
AddOutputFilterByType DEFLATE application/xml
AddOutputFilterByType DEFLATE application/xhtml+xml
AddOutputFilterByType DEFLATE application/rss+xml
AddOutputFilterByType DEFLATE application/javascript
AddOutputFilterByType DEFLATE application/x-javascript

# remove browser bugs
BrowserMatch ^Mozilla/4 gzip-only-text/html
BrowserMatch ^Mozilla/4\.0[678] no-gzip
BrowserMatch \bMSIE !no-gzip !gzip-only-text/html
Header append Vary User-Agent

## EXPIRES CACHING ##

ExpiresActive On
ExpiresByType image/jpg "access plus 1 year"
ExpiresByType image/jpeg "access plus 1 year"
ExpiresByType image/gif "access plus 1 year"
ExpiresByType image/png "access plus 1 year"
ExpiresByType text/css "access plus 1 month"
ExpiresByType application/pdf "access plus 1 month"
ExpiresByType text/x-javascript "access plus 1 month"
ExpiresByType application/x-shockwave-flash "access plus 1 month"
ExpiresByType image/x-icon "access plus 1 year"
ExpiresDefault "access plus 2 days"

config.php :
<?php
# CMS Made Simple Configuration File
# Documentation: /doc/CMSMS_config_reference.pdf
#
$config['dbms'] = 'mysql';
$config['db_hostname'] = '';
$config['db_username'] = '';
$config['db_password'] = '';
$config['db_name'] = '';
$config['db_prefix'] = 'cms_';
$config['db_port'] = 0;
$config['root_url'] = 'http://www.....fr';
$config['timezone'] = 'Europe/Paris';
$config['default_encoding'] = 'utf-8';
$config['url_rewriting'] = 'mod_rewrite';
$config['page_extension'] = '.html';
$config['query_var'] = 'page';
?>
#16
Je t'ai demandé le .htaccess car nous avons déjà eu un post au sujet du changement de version PHP chez OVH dans ce post : http://www.cmsmadesimple.fr/forum/viewto...532#p42532
Tout comme toi, j'ai lu dans les guides OVH que la ligne SetEnv PHP_VER ne servait que de roue de secours en cas de problème avec .ovhconfig.
Si app.engine.version=5.6 ne fonctionne pas, c'est que le fichier n'est pas reconnu.
N'aurais-tu pas inséré des caractères BOM ou ANSI dans le .ovhconfig, ce qui le rendrait caduque ? Code-le à nouveau avec notepad++ en spécifiant UTF-8 sans BOM.
#17
Honte à moi :-(
J'ai voulu vérifier l'encodage (comme tu l'as indiqué Jean le Chauve) et ai constaté que ... à force de triturer le .ovhconfig, le nom de fichier a été transformé en . ovhconfig donc, ne pouvait pas fonctionner !!!
Erreur réparée (et rendez-vous pris chez l'ophtalmo !) et ... ça marche !!! Eureka !
Merci à tous (excepté ovh sur ce coup !) pour votre aide et votre soutien, bonne journée !


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)